/*-----------------------------------------------------------
 Auto Respawn v1.0
 Copyright (C) 2015  Hartmann
 - - - - - - - - - - -
 AMX Mod X script.

          | Author  : Hartmann
          | Plugin  : Auto Respawn
          | Version : v1.0
	  
 (!) Support : Github - https://github.com/Hartmannq
               AlliedModders - https://forums.alliedmods.net/member.php?u=255387
               

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
	      
------------------------------------------------------------*/
#include <amxmodx>
#include <amxmisc>
#include <hamsandwich>
#include <cstrike>
#include <fun>

new PLUGIN[] = "Auto Respawn";
new AUTHOR[] = "Hartmann";
new VERSION[] = "1.0";

#pragma semicolon 1

new g_enabled;

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR);
	
	register_cvar( "arw_version", VERSION, FCVAR_SERVER | FCVAR_SPONLY);
	RegisterHam(Ham_Killed, "player", "PlayerKilled", 1);
	register_event( "TeamInfo", "join_team", "a");
	g_enabled = register_cvar("arw_weapon", "1");
	RegisterHam(Ham_Spawn, "player", "fwHamPlayerSpawnPost", 1);
}
public PlayerKilled(Victim){
	if (!is_user_alive(Victim))
		set_task(1.0, "PlayerRespawn", Victim);
}
public PlayerRespawn(id){
	if (!is_user_alive(id) && CS_TEAM_T <= cs_get_user_team(id) <= CS_TEAM_CT )
	{
		ExecuteHamB(Ham_CS_RoundRespawn, id);
	}
}
public join_team()
{
	
	new Client = read_data(1); 
	static user_team[32]; 
	
	read_data(2, user_team, 31); 
	
	if(!is_user_connected(Client)) 
		return PLUGIN_HANDLED; 
	
	switch(user_team[0]) 
	{
		case 'C':  
		{
			if(!is_user_alive(Client))
				set_task(1.0,"spawnning",Client);
		}
		
		case 'T':
		{ 
			if(!is_user_alive(Client))
				set_task(1.0,"spawnning",Client); 
		}
		
		case 'S':  
		{
			client_print(Client, print_chat, "You have to join CT or Terrorist to respawn");
		}
	}
	return 0;
}
public spawnning(Client) {
	ExecuteHamB(Ham_CS_RoundRespawn, Client);
	client_print(Client, print_chat, "You have been respawned");
	remove_task(Client);
}
public client_disconnect(id){
	remove_task(id);
	return PLUGIN_HANDLED;
}
public fwHamPlayerSpawnPost(id) { 
	if (is_user_alive(id)) { 
		if (get_pcvar_num(g_enabled)){
			strip_user_weapons(id);
			give_item(id, "weapon_knife");
		}
	}
}

/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1033\\ f0\\ fs16 \n\\ par }
*/
